// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/core/kernel/part.proto

package kernel

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// 分片对象
type Part struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// 分片编号
	// @gotags: validate:"required"
	Number int32 `protobuf:"varint,3,opt,name=number,proto3" json:"number,omitempty" validate:"required"`
	// 上传后返回的ETag头信息
	// @gotags: validate:"required"
	Etag string `protobuf:"bytes,4,opt,name=etag,proto3" json:"etag,omitempty" validate:"required"`
	// 分片大小，可以为空
	Size int64 `protobuf:"varint,5,opt,name=size,proto3" json:"size,omitempty"`
}

func (x *Part) Reset() {
	*x = Part{}
	if protoimpl.UnsafeEnabled {
		mi := &file_com_ruijc_storage_core_kernel_part_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Part) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Part) ProtoMessage() {}

func (x *Part) ProtoReflect() protoreflect.Message {
	mi := &file_com_ruijc_storage_core_kernel_part_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Part.ProtoReflect.Descriptor instead.
func (*Part) Descriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_kernel_part_proto_rawDescGZIP(), []int{0}
}

func (x *Part) GetNumber() int32 {
	if x != nil {
		return x.Number
	}
	return 0
}

func (x *Part) GetEtag() string {
	if x != nil {
		return x.Etag
	}
	return ""
}

func (x *Part) GetSize() int64 {
	if x != nil {
		return x.Size
	}
	return 0
}

var File_com_ruijc_storage_core_kernel_part_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_core_kernel_part_proto_rawDesc = []byte{
	0x0a, 0x28, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2f,
	0x70, 0x61, 0x72, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x63, 0x6f, 0x6d, 0x2e,
	0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f,
	0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x22, 0x46, 0x0a, 0x04, 0x50, 0x61, 0x72,
	0x74, 0x12, 0x16, 0x0a, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x65, 0x74, 0x61,
	0x67, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x65, 0x74, 0x61, 0x67, 0x12, 0x12, 0x0a,
	0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x73, 0x69, 0x7a,
	0x65, 0x42, 0x4e, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73,
	0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e,
	0x65, 0x6c, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63,
	0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x3b, 0x6b, 0x65, 0x72, 0x6e, 0x65,
	0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_com_ruijc_storage_core_kernel_part_proto_rawDescOnce sync.Once
	file_com_ruijc_storage_core_kernel_part_proto_rawDescData = file_com_ruijc_storage_core_kernel_part_proto_rawDesc
)

func file_com_ruijc_storage_core_kernel_part_proto_rawDescGZIP() []byte {
	file_com_ruijc_storage_core_kernel_part_proto_rawDescOnce.Do(func() {
		file_com_ruijc_storage_core_kernel_part_proto_rawDescData = protoimpl.X.CompressGZIP(file_com_ruijc_storage_core_kernel_part_proto_rawDescData)
	})
	return file_com_ruijc_storage_core_kernel_part_proto_rawDescData
}

var file_com_ruijc_storage_core_kernel_part_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_com_ruijc_storage_core_kernel_part_proto_goTypes = []interface{}{
	(*Part)(nil), // 0: com.ruijc.storage.core.kernel.Part
}
var file_com_ruijc_storage_core_kernel_part_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_core_kernel_part_proto_init() }
func file_com_ruijc_storage_core_kernel_part_proto_init() {
	if File_com_ruijc_storage_core_kernel_part_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_com_ruijc_storage_core_kernel_part_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Part); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_core_kernel_part_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_com_ruijc_storage_core_kernel_part_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_core_kernel_part_proto_depIdxs,
		MessageInfos:      file_com_ruijc_storage_core_kernel_part_proto_msgTypes,
	}.Build()
	File_com_ruijc_storage_core_kernel_part_proto = out.File
	file_com_ruijc_storage_core_kernel_part_proto_rawDesc = nil
	file_com_ruijc_storage_core_kernel_part_proto_goTypes = nil
	file_com_ruijc_storage_core_kernel_part_proto_depIdxs = nil
}
